import request from '@/utils/request'

// 查询PLC信息管理列表
export function listInfo(query) {
  return request({
    url: '/hnyz/plcInfo/list',
    method: 'get',
    params: query
  })
}

// 查询PLC信息管理详细
export function getInfo(plcId) {
  return request({
    url: '/hnyz/plcInfo/' + plcId,
    method: 'get'
  })
}

// 新增PLC信息管理
export function addInfo(data) {
  return request({
    url: '/hnyz/plcInfo',
    method: 'post',
    data: data
  })
}

// 修改PLC信息管理
export function updateInfo(data) {
  return request({
    url: '/hnyz/plcInfo',
    method: 'put',
    data: data
  })
}

// 删除PLC信息管理
export function delInfo(plcId) {
  return request({
    url: '/hnyz/plcInfo/' + plcId,
    method: 'delete'
  })
}

//获取plc信息列表(用于select选择框)
export function getPlcList() {
  return request({
    url: '/hnyz/plcInfo/getPlcList',
    method: 'get'
  })
}

// plc启用状态修改
export function changeStatus(plcId, status) {
  const data = {
    plcId,
    status
  }
  return request({
    url: '/hnyz/plcInfo/changeStatus',
    method: 'put',
    data: data
  })
}